Bug 1159617 (CVE-2019-19337)

Summary: VUL-0: CVE-2019-19337: ceph: denial of service in RGW daemon
Product: [Novell Products] SUSE Security Incidents Reporter: Marcus Meissner <meissner>
Component: IncidentsAssignee: E-Mail List <ceph-bugs>
Status: RESOLVED INVALID QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P5 - None CC: alekshmanan, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/249552/
Whiteboard: CVSSv3:SUSE:CVE-2019-19337:6.5:(AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2019-12-20 07:28:22 UTC
rh#1781170

It was found that if attacker can send specially crafted request to ceph RGW front-end with civetweb server, it could lead to remote denial of service.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1781170
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-19337
Comment 2 Marcus Meissner 2019-12-20 11:07:03 UTC
This issue is Redhat specific, SUSE and upstream ceph versions are not affected.